package service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import dao.EmployeeDao;
import model.Employee;



@Service
public class EmployeeService {
	
	@Autowired
	private EmployeeDao employeeDao;
	
	public int insertEmployee(Employee employee){
		return employeeDao.insertEmployee(employee);	
		} 
	
	 public int deleteEmployee(int id){
		 return employeeDao.deleteEmployee(id);
	 }
	 
	 public int updateEmployee(Employee employee){
		 return employeeDao.updateEmployee(employee);
	 }
	 
	 //ҳѯ
	 public PageInfo<Employee> selectEmployees(int pageIndex,int pageSize){
		 PageInfo<Employee> pageinfo=null;
		 PageHelper.startPage(pageIndex,pageSize);
		 List<Employee> employees=employeeDao.selectEmployees();
		 pageinfo=new PageInfo<Employee>(employees);
		 return pageinfo;
	 }
}
