package service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import dao.UserDao;
import model.User;
import service.UserService;

  @Service("userService")
  @Transactional
public class UserServiceImpl implements UserService{
	  
	  @Autowired
	  private UserDao userDao;
	  public User findUser(String no,String password){
		  return userDao.findUser(no, password);
	  }
}
